=== documentation/Makefile ===
all:	install.txt install.html dselect.beginner.txt cfdisk.txt

install.html:	install.sgml
	rm -f $@
	sgml2html -s 0 $^
	chmod a-w $@

install.txt:	install.sgml
	rm -f $@
	sdc -o $@ -O ascii $^
	chmod a-w $@

dselect.beginner.html: dselect.beginner.8.in.html
	rm -f $@
	sed -e '' <$^ >$@
	chmod a-w $@

dselect.beginner.txt:	dselect.beginner.html
	rm -f $@
	lynx -dump $^ > $@
	chmod a-w $@

cfdisk.txt::
ifeq ($(architecture), i386)
	man cfdisk | col -b >cfdisk.tmp
else
	echo "Your arch does not support cfdisk" >cfdisk.tmp
endif
	if cmp -s cfdisk.tmp $@; then \
			rm -f cfdisk.tmp; \
		else \
			mv -f cfdisk.tmp $@; chmod a-w $@; \
		fi

clean:
	-rm -f *~

distclean: clean
	-rm -f install.txt dselect.beginner.txt \
	  dselect.beginner.html cfdisk.txt install.html install.txt
