=== utilities/Makefile ===
KVER=
CC=gcc
CFLAGS=-O2 -fomit-frame-pointer
LDFLAGS=-s

SPLIT_OBJECTS= floppy_split.o

all: floppy_split
	(cd libfdisk && make "CFLAGS=-O2 -DINCLUDE_DINSTALL" libfdisk.a)
	(cd dinstall && make KVER=$(KVER) INCLUDE_DINSTALL=1 build-objects)
	(cd busybox && make INCLUDE_DINSTALL=1)
	(cd writemaps && make loadkeys)
	(cd lowmemrd && make)

clean:
	- rm -f *.o *.bak
	(cd libfdisk;make clean)
	(cd busybox;make clean)
	(cd dinstall && make clean)
	(cd writemaps && make clean)
	(cd lowmemrd && make clean)

distclean: clean
	- rm -f floppy_split *.o *.bak
	(cd busybox && make distclean)
	(cd libfdisk;make distclean)
	(cd dinstall && make distclean)
	(cd lowmemrd && make distclean)

floppy_split: $(SPLIT_OBJECTS)
	$(CC) $(LDFLAGS) -o $@ $(SPLIT_OBJECTS)

$(SPLIT_OBJECTS): floppy_split.h
