=== utilities/dinstall/Makefile ===
LIBS = -lslang -lc #-lefence

ARCH=$(shell dpkg --print-architecture)
KVER=
CFLAGS = -O2 -D_GNU_SOURCE -DARCH=$(ARCH) -DARCHNAME='"$(ARCH)"' -DKVER='"$(KVER)"'
CFLAGS += -Wall -g
CFLAGS += -DLANG_C
# CFLAGS += -DLOG 
# CFLAGS += -DTEST 
ifdef INCLUDE_DINSTALL
 CFLAGS += -DINCLUDE_DINSTALL
endif

PROG = dinstall

BBOXOBJS = ../busybox/descend.o ../busybox/postprocess.o \
  ../busybox/fdflush.o ../busybox/losetup.o ../busybox/mount.o \
  ../busybox/mkdir.o ../busybox/utility.o ../busybox/findmount.o \
  ../busybox/umount.o ../busybox/swapon.o ../busybox/swapoff.o
LIBNEWT = -lnewt
LIBFDISK = ../libfdisk/libfdisk.a

OBJECTS = $(patsubst %.c,%.o,$(wildcard *.c))

SOURCES = $(subst .o,.c,$(OBJECTS)) dinstall.h

all:    depend $(PROG)

build-objects: $(OBJECTS)

$(PROG):	build-objects $(BBOXOBJS) $(LIBFDISK) $(LIBNEWT)
	gcc -Wall -g -o $(PROG) $(OBJECTS) $(BBOXOBJS) $(LIBFDISK) $(LIBNEWT) $(LIBS)

$(LIBFDISK): force
	$(MAKE) -C ../libfdisk libfdisk.a

depend: $(SOURCES)
	$(CPP) $(CFLAGS) -M $(SOURCES) > .depend

clean: 
	rm -f $(OBJECTS) the_test

distclean: clean
	rm -f $(PROG) .depend

force:

ifeq (.depend,$(wildcard .depend))
include .depend
endif
