=== debian/changelog ===
boot-floppies (2.0.11) frozen unstable; urgency=high

  * dselect selects packages on its own, overriding the user "profiles"
    and "tasks" selections. Explicitly deselect those (patch by Christian
    Meder).
  * Build i386 floppy images without syslinux "-s" mode.
      
 -- Enrique Zanardi <ezanard@debian.org>  Mon, 20 Jul 1998 18:42:16 +0100

boot-floppies (2.0.10) frozen unstable; urgency=high

  * Removed "raidtools" from "Admin" profile. raidtools depends on 2.1.x
    kernels. fixes: 24634

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 16 Jul 1998 15:15:38 +0100

boot-floppies (2.0.9) frozen unstable; urgency=high

  * Uses new libc6
  * Now recognizes when booting from a tecra disk. fixes: 24073
  * Builds properly install.html and install.txt. fixes: 23842, 23851
  * Some fixes in install.sgml. fixes: 23859
  * Install /dev/ed* devices. fixes: 23782
  * Merged SPARC patches by Eric Delaunay and Alpha patches by Sven
    Rudolph. fixes: 22841, 19030
  * Fixed /boot permissions. fixes: 11905

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Fri, 10 Jul 1998 09:34:22 +0100

boot-floppies (2.0.8) frozen unstable; urgency=high

  * Uses new dpkg (--force-overwrite on).

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Tue, 23 Jun 1998 22:25:31 +0100

boot-floppies (2.0.7) frozen unstable; urgency=high

  * Uses new kernel 2.0.34.
  * Added new lowmem boot disk.
  * base system: Lots of new tasks and profiles by Christian Meder.
  * base system: new dpkg, pppconfig.
  * base system: removed qftp, added usr/bin/ftp again (qftp segfaults).
  * dinstall/bootconfig.c: checks for valid boot partition.
  * dinstall: Some patches by Jim Myntha to improve the look of the
    installation system.
  * dinstall: added i18n patch by Christophe Le Bars.
  * rescue: new syslinux.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Mon, 22 Jun 1998 10:28:57 +0100

boot-floppies (2.0.6) frozen unstable; urgency=high

  * base system: added qftp package, removed usr/bin/ftp 
  * base system: purge pcmcia packages if not used at install time
    (but first ask for confirmation).
  * pkgsel: use the right value for ADMINDIR
  * dinstall/baseconfig.c: New fix for the "de-latin1-nodeadkeys" bug. Fix
    by Nils Rennebarth.
  * dinstall/choose_medium.c: Build lists of directories only if the user
    selects the "list" option. (Modifications done by Luis Gonzalez)
  * dinstall/choose_medium.c: Trim string length in directories list if it
    doesn't fit in the dialog box. (Modifications done by Luis Gonzalez)
  * dinstall/choose_medium.c: Remember previous selection, and offer it
    as default the next time.
  * dinstall/netconfig.c: Check that the directory exists before writing
    ppp-flag-file. Fixes the "if-I-answer-no-to-the-do-you-have-a-network-
    dialog,-dinstall-restarts" bug.
  * dinstall/tzconfig.c: Sort the zones/cities lists. (Modifications done
    by Luis Gonzalez)
  * libfdisk/fdisk.c: Skip CD-ROM drives when looking for partitions.
    Fix by Akira Yoshiyama, modified by Roman Hodek and E. Zanardi.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Tue, 12 May 1998 20:46:46 +0100

boot-floppies (2.0.5) frozen unstable; urgency=high

  * base system: added pppconfig and pkgsel
  * base system: the shipped "availables" file only contains information
    about the currently installed files. That reduces the number of base
    diskettes back to 5 1.44MB ones or 6 1.2MB ones. 
  * base system: removed comerr2g, e2fslibsg and ss2g, provided by the
    new e2fsprogs package. Installed libstdc++2.8 instead of libg++272.
  * base system: removed obsolet /bin/perl -> /usr/bin/perl symlink.
  * Makefile: export architecture, so it can be used by documentation/Makefile
  * Added a README-tecra file (based on the old special/tecra/README).
  * basedisk.sh: Display a warning if we are installing partial packages.
  * debian/control: remove arch-dependent dependencies.
  * debian/rules: Set the proper permissions under debian/tmp. 
    fixes: Bug#21155
  * root disk: removed comerr2g and e2fslibsg, provided by the new
    e2fsprogs package.
  * dinstall/baseconfig.c: Now reads de-latin1-nodeadkeys keymap. Fix
    by Nils Rennebarth.
  * dinstall/bootconfig.c: Install MBR only when asked to do so. 
    fixes: Bug#19096
  * dinstall/main_menu.c: cosmetic fixes.
  * dinstall/partition_config.c: cosmetic fixes.
  * dinstall/select_not_mounted.c: Display the proper partition type in
    the "No %s partitions ... were detected" message.
  * libfdisk/fdisk.c: Now handles disks >2GB. (Fixed by Roman Hodek). 
    fixes: Bug#21568, Bug#21540, 

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sun, 26 Apr 1998 19:38:08 +0100

boot-floppies (2.0.4) frozen unstable; urgency=high

  * Makefile: Build rescue disk for Tecras
  * basedisks.sh: Add DirHandle.pm to the base system (it should be in 
    perl-base). Now dpkg-ftp works.
  * rootdisk.sh: Copy mount and umount to the rootdisk.
  * rootdisk.sh: Copy the resolver and DNS libraries to the rootdisk.
  * release_notes: Use the maintainer field from the changelog instead of the
    user id.
  * rootdisk/prototype: moved terminfo from /etc to /usr/lib to avoid
    ae & cfdisk failures.
  * busybox/loadkmap.c: Fixes revisited. Now it reads properly the
    whole keymap.
  * dinstall/block_device.c and choose_medium.c: Fill the stat field in 
    the Fileinfo structs before calling descend().
  * dinstall/extract*.c  Free Archive_Dir after extracting. Should fix the 
    "Restarting-After-Installing-Base" and "Restarting-When-Choosing-List"
    Bugs.
  * dinstall/choose_medium.c: Show a "Please Wait" message while building
    the list of files that can be used to install the base system (or the
    kernel), because this process can be slow, as the program descends
    recursively through the filesystem we have choosen to install from.
  * dinstall/main_menu.c: Removed the letters from the menu. Too many

