=== debian/control ===
Source: boot-floppies
Section: devel
Priority: optional
Maintainer: Enrique Zanardi <sr1-boot-floppies@debian.org>
Standards-Version: 2.4.0.0

Package: boot-floppies
Architecture: all
Depends: libc6-pic, slang0.99.38-pic, sysutils, makedev (>=1.6-15), newt0.21 (>= 0.21-8), newt0.21-dev (>=0.21-8), popt
Suggests: lynx (>= 2.6), sgml-tools
Description: Scripts to create the Debian installation floppy set.
 This package allows you to create a Debian installation system on floppy
 disk or other media, for bootstrapping Debian onto a new system. Most users
 will simply download the disk images to do this, and this package will
 generally only be used by advanced Debian maintainers.
