=== debian/rules ===
#!/usr/bin/make -f
# derived from: Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

# There used to be `source' and `diff' targets in this file, and many
# packages also had `changes' and `dist' targets.  These functions
# have been taken over by dpkg-source, dpkg-genchanges and
# dpkg-buildpackage in a package-independent way, and so these targets
# are obsolete.

export LANG=C
package=boot-floppies
arch=$(shell dpkg --print-architecture)
version=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')

build:
	$(checkdir)
	$(MAKE) release
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf *~ debian/tmp debian/*~ debian/files*

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp debian/tmp/DEBIAN
	install -d debian/tmp/usr/doc/$(package)
	$(MAKE) install prefix=debian/tmp
	( cd debian/tmp/usr/src/boot-floppies; make clean)
	cp debian/changelog debian/tmp/usr/doc/$(package)/
	gzip -9f debian/tmp/usr/doc/$(package)/changelog
	cp debian/copyright README debian/tmp/usr/doc/$(package)/.
	dpkg-gencontrol -pboot-floppies > debian/tmp/DEBIAN/control
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)
	(cd release/ ; for i in * ; do \
		cp -p $$i ../../$$i.$(version)-$(arch) ; \
		dpkg-distaddfile -f../debian/files $$i.$(version)-$(arch) byhand - ; \
	done ) 

define checkdir
	test -f rootdisk.sh -a -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot
